package com.zehong.system.task;

import org.springframework.stereotype.Component;

import java.util.Arrays;
import java.util.List;

/**
 * @author lenovo
 * @date 2025/9/25
 * @description TODO
 */
@Component
public class DeviceComm503Job extends BaseDeviceCommJob{
    @Override
    protected int getFixedPort() {
        return 503; // 固定端口503
    }

    @Override
    protected List<Integer> getDeviceIds() {
        // 端口503对应的设备ID列表
        return Arrays.asList(55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72);
    }
}
